package com.hongyegroup.cpt_parttime.ui

import android.os.Bundle
import com.guadou.cs_cptservices.base.fragment.YYBaseVDBLazyLoadingFragment
import com.guadou.cs_cptservices.interfaces.IFragmentRefresh
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.ext.vertical
import com.hongyegroup.cpt_parttime.R
import com.hongyegroup.cpt_parttime.databinding.FragmentParttimeJobDetailSlotsBinding
import com.hongyegroup.cpt_parttime.mvvm.PartJobDetailSlotsViewModel

/**
 * 工作详情 子页面 展示推荐的工作
 */
class PartJobDetailSlotsFragment : YYBaseVDBLazyLoadingFragment<PartJobDetailSlotsViewModel, FragmentParttimeJobDetailSlotsBinding>(),
    IFragmentRefresh {

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.fragment_parttime_job_detail_slots)
    }

    override fun init(savedInstanceState: Bundle?) {

        initRV()

    }

    override fun onLazyInitData() {
        mViewModel.requestJobSlots()
    }

    private fun initRV() {
        mBinding.rvSlots.vertical().apply {
            adapter = mViewModel.mAdapter
        }
    }

    override fun startObserve() {
    }

    override fun scrollTopRefresh() {

    }

}